<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-23 10:03:07
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-17 15:28:34
 */

ob_start();
$module = new \Framework\Module('../../modules/');

$tpl->assign('URL_SISTEMA', getenv('URL_SISTEMA'));

$active_modules = $module->scanActiveModules($session->get('user_permissions'));
ksort($active_modules);
foreach ($active_modules as $mod) {
	$tpl->MODULO = $mod['label'];
	$tpl->DIRETORIO = $mod['patch'];
	$tpl->ICON = $mod['icon'];
	$tpl->CLASS = $mod['name'];

	$tpl->block('modulo');

	foreach ($mod['panel_itens'] as $page => $panel) {
		$tpl->ROTULO = $panel['label'];
		$tpl->PAGINA = $panel['page'];
		$tpl->ICON = $panel['icon'];
		$tpl->DIRETORIO = $mod['patch'];

		$tpl->block('itens');
	}
}

$tpl->assign('USER_NAME_ACTIVE', $session->get('user_name'));
