<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-19 16:05:02
 */

ob_start();

require 'config.php';

$form_fields = array('nome', 'estado', 'email_monitoramento', 'email_nascente');

$vld->initializeAll($form_fields);

if ($vld->send('_add')) {
	try {
		$vld->validate();

		$obj = $controller->insert($_POST);

		$vld->clear();

		$tpl->message('form_add', 'Item cadastrado');

	} catch (Exception $e) {
		$tpl->error('form_add', $e->getMessage());
	}
}

$tpl->radio('status', array('ATIVO' => 'Ativo', 'INATIVO' => 'Inativo'), 'ATIVO');
$tpl->assignFormVars($form_fields);

$tpl->show();
