<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-26 13:23:25
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-19 16:23:18
 */

class ControllerCidade extends \Framework\Banco {

	public function __construct() {
		parent::__construct('Cidade');
	}

	public function insert($post) {

		try {
			$obj = new Cidade();
			$obj->setNome(($post['nome']));
			$obj->setStatus($post['status']);
			$obj->setEstado($post['estado']);
			$obj->setEmailMonitoramento(isset($post['email_monitoramento']) ? $post['email_monitoramento'] : '');
			$obj->setEmailNascente(isset($post['email_nascente']) ? $post['email_nascente'] : '');

			parent::merge($obj);
			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}

		return $obj;
	}

	public function update($post, $obj) {

		try {
			$obj->setNome(($post['nome']));
			$obj->setStatus($post['status']);
			$obj->setEstado($post['estado']);
			$obj->setEmailMonitoramento(isset($post['email_monitoramento']) ? $post['email_monitoramento'] : $obj->getEmailMonitoramento());
			$obj->setEmailNascente(isset($post['email_nascente']) ? $post['email_nascente'] : $obj->getEmailNascente());

			parent::merge($obj);
			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

}
