<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:50:34
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-12 12:45:58
 */

ob_start();

require 'config.php';

$id = isset($_GET['id']) ? (int) $_GET['id'] : (int) $_POST['id'];

$obj = $controller->getById($id);

$form_fields = array('titulo', 'texto', 'data');

if ($vld->send('_edit')) {
    try {
        $vld->validate();

        $controller->update($_POST, $_FILES, $obj);

        $vld->clear();

        $tpl->message('form_edit', 'Cadastro atualizado');

    } catch (Exception $e) {
        $tpl->error('form_edit', $e->getMessage());
    }
}

$obj = $controller->getById($id);

$tpl->assign('ID', $id);

$tpl->assign('TITULO', $obj->getTitulo());
$tpl->assign('TEXTO', $obj->getTexto());
$tpl->assign('DATA', $obj->getData()->format('d/m/Y'));

$tpl->assign('IMAGEM', !empty($obj->getImagem()) ? '<img src="' . STORAGE_DIR . $obj->getImagem() . '" width="200">' : '<img src="http://placehold.it/200x150" alt="...">');

$tpl->radio('status', array('ATIVO' => 'Ativo', 'INATIVO' => 'Inativo'), $obj->getStatus());
$tpl->show();
