<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:50:34
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-12 19:46:19
 */

ob_start();

require_once 'config.php';

if (isset($_POST['action'])) {
    $tpl->message('action',
        ($controller->changeStatus((int) $_POST['id'], $_POST['action'])));
}

$lista = $controller->selectAllbyStatus();

foreach ($lista as $key => $line) {
    $tpl->ID = $line->getId();
    $tpl->TITULO = ($line->getTitulo());
    $tpl->DATA = !is_null($line->getData()) ? ($line->getData()->format('d/m/Y')) : '';

    $imagem = $line->getImagem();
    if (!empty($imagem)) {
        $imagem = is_file($dir_upload . $line->getImagem())
        ? '<img src="' . STORAGE_DIR . $line->getImagem() . '" width="100">'
        : '<img src="' . STORAGE_DIR . $line->getImagem() . '" width="100">';

        $tpl->IMAGEM = ($imagem);

    } else {
        $imagens = $line->getImagens();

        $tpl->IMAGEM = isset($imagens[0])
        ? '<img src="' . STORAGE_DIR . '../_backup/' . $imagens[0]->getNome() . '" width="100">'
        : '';
    }

    $tpl->ACTION = $line->getStatus() == 'ATIVO' ? 'INATIVO' : 'ATIVO';
    $tpl->ACTION_LABEL = $line->getStatus() == 'ATIVO' ? 'Desativar' : 'Ativar';

    $tpl->block('list');

}

$tpl->show();
