<?php

class ControllerMonitoramentoAssunto extends \Framework\Banco {

	public function __construct() {
		parent::__construct('MonitoramentoAssunto');
	}

	public function insert($post) {

		try {
			$obj = new MonitoramentoAssunto();
			$obj->setTitulo($post['titulo']);
			$obj->setStatus($post['status']);

			return parent::persist($obj);
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function update($post, $obj) {

		try {
			$obj->setTitulo($post['titulo']);
			$obj->setStatus($post['status']);

			parent::merge($obj);
			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}
}
