<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-16 12:17:31
 */

ob_start();

require 'config.php';

$id = isset($_GET['id']) ? (int) $_GET['id'] : (int) $_POST['id'];

$obj = $controllerIcone->getById($id);

$form_fields = array('nome', 'cor', 'status');

if ($vld->send('_edit')) {
	try {
		$vld->validate();

		$controllerIcone->update($_POST, $obj);

		$vld->clear();

		$tpl->message('form_edit', 'Cadastro atualizado');

	} catch (Exception $e) {
		$tpl->error('form_edit', $e->getMessage());
	}
}

$tpl->assign('ID', $obj->getId());
$tpl->assign('NOME', $obj->getNome());
$tpl->assign('COR', $obj->getCor());

$tpl->radio('status', array('ATIVO' => 'Ativo', 'INATIVO' => 'Inativo'), $obj->getStatus());

$tpl->show();
