<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: Fhagner Duarte
 * @Date:   2019-04-22 10:25:14
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-04-22 13:19:06
 */


require_once 'config.php';

if ($vld->send('_add')) {
	try {
		// $vld->validate();

		$controllerNascente->import($_POST, $_FILES);

		$vld->clear();

		$tpl->message('form_add', 'Importação concluída');

	} catch (Exception $e) {
		$tpl->error('form_add', $e->getMessage());
	}
}

foreach ($controllerNascente->getStatus() as $key => $item) {
	if ($key == 'PENDENTE' || $key == 'CONFIRMADA') {
		$tpl->assignSelect('status', $key, $item, isset($_POST['status']) ? $_POST['status'] : null);
	}
}

foreach ($controllerCidade->findBy(['status'=>'ATIVO']) as $key => $item) {
	$tpl->assignSelect('cidade', $item->getId(), $item->getNome(), isset($_POST['cidade']) ? $_POST['cidade'] : null);
}
$tpl->show();