<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-04-04 10:14:46
 */

ob_start();

require_once 'config.php';

if (isset($_POST['action'])) {
	$tpl->message('action',
		($controllerNascente->changeStatus((int) $_POST['id'], $_POST['action'])));
}

if( !empty($_POST['status']) ){
	$status = "n.status = '{$_POST['status']}'";
}else{
	$status = "(n.status = 'PENDENTE' OR n.status = 'CONFIRMADA')";
}

$cidade = '';
if(!empty($_POST['cidade'])){
	$cidade = "AND c.id = {$_POST['cidade']}";
}

$sql = "SELECT n.*, c.nome AS cidade FROM nascente AS n
		INNER JOIN localizacao AS l ON l.id = n.localizacao_id
		INNER JOIN cidade AS c ON c.id = l.cidade_id
		WHERE $status $cidade
		ORDER BY n.numero ASC";

$lista = $controllerNascente->query($sql);

$status = $controllerNascente->getStatus();
foreach ($lista as $key => $line) {
	$tpl->ID = $line['nascente_id'];
	$tpl->NUMERO = $line['numero'];
	$tpl->TITULO = $line['titulo'];
	$data = new DateTime($line['data_cadastro']);
	$tpl->DATA = $data->format('d/m/Y H:i');
	$tpl->STATUS = $status[$line['status']];
	$tpl->ORIGEM = $line['origem'] == 'SISTEMA' ? 'Sistema' : 'Usuário';
	$tpl->CIDADE =  $line['cidade'];

	$tpl->ACTION = $line['status'] == 'ATIVO' ? 'INATIVO' : 'ATIVO';
	$tpl->ACTION_LABEL = $line['status'] == 'ATIVO' ? 'Desativar' : 'Ativar';

	$tpl->block('list');

}

$tpl->assignSelect('status', null, 'Pendentes e Confirmadas', null);
foreach ($controllerNascente->getStatus() as $key => $item) {
	if ($key == 'PENDENTE' || $key == 'CONFIRMADA') {
		$tpl->assignSelect('status', $key, $item, isset($_POST['status']) ? $_POST['status'] : null);
	}
}


$tpl->assignSelect('cidade', null, 'Todas as Cidades', null);
foreach ($controllerCidade->findBy(['status'=>'ATIVO']) as $key => $item) {
	$tpl->assignSelect('cidade', $item->getId(), $item->getNome(), isset($_POST['cidade']) ? $_POST['cidade'] : null);
}

$tpl->show();
