<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-23 21:07:14
 */

ob_start();

require_once 'config.php';

if (isset($_POST['action'])) {
	$tpl->message('action',
		($controller->changeStatus((int) $_POST['id'], $_POST['action'])));
}

$lista = $controller->findBy(array(), array('data' => 'DESC'));

foreach ($lista as $key => $line) {
	if ($line->getStatus() != 'EXCLUIDO') {
		$tpl->ID = $line->getId();
		$tpl->TITULO = ($line->getTitulo());
		$tpl->TEXTO = ($line->getTexto());
		$tpl->FONTE = ($line->getFonte());
		$tpl->CHAPEU = ($line->getChapeu());
		$data = $line->getData();
		$tpl->DATA = (!empty($data)) ? ($line->getData()->format('d/m/Y')) : '';

		$imagem = $line->getImagem();
		$tpl->IMAGEM = '';
		if (!empty($imagem)) {
			// echo ($dir_upload . 'mini/' . $line->getImagem());die();
			$imagem = is_file($dir_upload . 'mini/' . $line->getImagem())
			? '<a href="' . STORAGE_DIR . $line->getImagem() . '" rel="prettyPhoto[]"><img src="' . STORAGE_DIR . 'mini/' . $line->getImagem() . '" width="100"></a>'
			: '<a href="' . $line->getImagem() . '" rel="prettyPhoto[]"><img src="' . $line->getImagem() . '" width="100"></a>';
			$tpl->IMAGEM = $imagem;
		}

		$tpl->ACTION = $line->getStatus() == 'ATIVO' ? 'INATIVO' : 'ATIVO';
		$tpl->ACTION_LABEL = $line->getStatus() == 'ATIVO' ? 'Desativar' : 'Ativar';

		$tpl->block('list');
	}
}

$tpl->show();
