<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-15 09:32:35
 */

ob_start();

require_once 'config.php';

if (isset($_POST['action'])) {
	$tpl->message('action',
		($controllerParticipe->changeStatus((int) $_POST['id'], $_POST['action'])));
}

$lista = $controllerParticipe->findBy(array(), array('ordem' => 'DESC'));

foreach ($lista as $key => $line) {
	$tpl->ID = $line->getId();
	$tpl->NOME = $line->getNome();
	$tpl->ORDEM = $line->getOrdem();
	$url = STORAGE_DIR . $line->getlogo();
	$tpl->LOGO = !empty($line->getlogo()) ? "<img src=\"{$url}\" width=\"100px\" >" : '';

	$tpl->ACTION = $line->getStatus() == 'ATIVO' ? 'INATIVO' : 'ATIVO';
	$tpl->ACTION_LABEL = $line->getStatus() == 'ATIVO' ? 'Desativar' : 'Ativar';
	$tpl->block('list');
}

$tpl->show();
