<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-25 11:15:35
 */

ob_start();

require 'config.php';

$id = isset($_GET['id']) ? (int) $_GET['id'] : (int) $_POST['id'];

$obj = $controller->getById($id);

$form_fields = array('nome', 'link');

if ($vld->send('_edit')) {
	try {
		$vld->validate();

		$controller->update($_POST, $obj);

		$vld->clear();

		$tpl->message('form_edit', 'Cadastro atualizado');

	} catch (Exception $e) {
		$tpl->error('form_edit', $e->getMessage());
	}
}

$tpl->assign('ID', $id);
$tpl->assign('NOME', $obj->getNome());
$tpl->assign('LINK', $obj->getLink());
$tpl->assign('QRCODE', $obj->getQrcode());

$tpl->radio('status', array('ATIVO' => 'Ativo', 'INATIVO' => 'Inativo'), $obj->getStatus());
$tpl->show();
