<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:12
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-16 11:24:12
 */

ob_start();

require_once 'config.php';

$form_fields = array('nome', 'url_site', 'smtp_host', 'smtp_usuario', 'google_api_map',
	'smtp_senha', 'smtp_porta', 'email_sender', 'email_contato', 'smtp_seguranca',
	'email_ouvidoria', 'telefone', 'endereco', 'latitude', 'longitude');
$vld->initializeAll($form_fields);

if ($vld->send('cadastrar')) {
	try {
		$vld->validate();

		$obj = $controllerSistema->update($_POST);

		$vld->clear();

		$tpl->message('form_add', 'Item Atualizado');

	} catch (Exception $e) {
		$tpl->error('form_add', $vld->getErrors());
	}
}

$obj = $controllerSistema->getByAttr();

if (empty($obj)) {
	$obj = new Sistema();
}

$tpl->assign('NOME', $obj->getNome());
$tpl->assign('URL_SITE', $obj->getUrlSite());
$tpl->assign('SMTP_HOST', $obj->getSmtpHost());
$tpl->assign('SMTP_USUARIO', $obj->getSmtpUsuario());
$tpl->assign('SMTP_SENHA', $obj->getSmtpSenha());
$tpl->assign('SMTP_PORTA', $obj->getSmtpPorta());
$tpl->assign('SMTP_SEGURANCA', $obj->getSmtpSeguranca());

$tpl->assign('GOOGLE_API_MAP', $obj->getGoogleApiMap());
$tpl->assign('LATITUDE', $obj->getLatitude());
$tpl->assign('LONGITUDE', $obj->getLongitude());

$tpl->assign('EMAIL_SENDER', $obj->getEmailSender());
$tpl->assign('EMAIL_CONTATO', $obj->getEmailContato());

$tpl->assign('TELEFONE', $obj->getTelefone());
$tpl->assign('ENDERECO', $obj->getEndereco());
$tpl->assign('EMAIL_OUVIDORIA', $obj->getEmailOuvidoria());

$tpl->show();
