<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-12 20:08:18
 */

ob_start();

require_once 'config.php';

$form_fields = array('nome', 'usuario', 'email');
$vld->initializeAll($form_fields);

if ($vld->send('user_add')) {
    try {
        $vld->validate();

        if ($userController->getByAttr(array('login' => $_POST['usuario'], 'email' => $_POST['email']))) {
            $tpl->error('form_add', 'Já existe um registro com o usuário ou email informado');
        } else {

            $user = $userController->insert($_POST);

            $vld->clear();

            $tpl->message('form_add', 'Usuário cadastrado');
        }

    } catch (Exception $e) {
        $tpl->error('form_add', $e->getMessage());
    }
}

$tpl->assignFormVars($form_fields);

$list = $perfilController->selectAll();
foreach ($list as $key => $line) {
    $tpl->assignSelect(
        'perfil',
        $line->getId(),
        ($line->getNome()),
        null);
}

$tpl->show();
