<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-04 23:39:48
 */

ob_start();

require_once 'config.php';

$id_user = isset($_GET['id_user']) ? (int) $_GET['id_user'] : (int) $_POST['id_user'];

$user = $userController->getById($id_user);

$vld->initializeAll(array('nome', 'email'));

if ($vld->send('user_edit')) {
    try {
        $vld->validate();

        $userController->update($_POST, $user);

        $vld->clear();

        $tpl->message('form_edit', 'Cadastro atualizado');

    } catch (Exception $e) {

        $tpl->error('form_edit', $e->getMessage());

    }
}

$tpl->assign('ID_USER', $id_user);
$tpl->assign('NOME', $user->getNome());
$tpl->assign('EMAIL', $user->getEmail());

$list = $perfilController->selectAll();
foreach ($list as $key => $line) {
    $tpl->assignSelect(
        'perfil',
        $line->getId(),
        ($line->getNome()),
        $user->getPerfil()->getId());
}

$tpl->show();
