<?php
require __DIR__ . '/head.php';
require __DIR__ . '/header.php';

extract($_GET, EXTR_SKIP);

if (!isset($slug) && empty($slug)) {
	header('Location: ' . getenv('URL'));
}

$item = $controllerAbastecimento->findBy(array('slug' => $slug, 'status' => 'ATIVO'));
if (!$item) {
	header('Location: ' . getenv('URL'));
}

?>

<div class="page-header py-3">
	<h1 class="page-title m-0 p-2 text-center text-uppercase font-weight-bold">Abastecimento</h1>
</div>

<div class="page-content py-5">
	<div class="container">
		<div class="row">
			<!-- News -->
			<article class="col-lg-9">
				<h1 class="news-title"><?php echo $item[0]->getTitulo(); ?></h1>
				<hr>
				<div class="news-text text-justify">
					<?php echo $item[0]->getTexto(); ?>
				</div>
			</article>
			<?php require __DIR__ . '/sidebar-abastecimento.php';?>
		</div>
	</div>
</div>

<?php require __DIR__ . '/footer.php';?>
<?php require __DIR__ . '/foot.php';?>




