<?php
require __DIR__ . '/head.php';
require __DIR__ . '/header.php';

extract($_GET, EXTR_SKIP);

if (!isset($slug) && empty($slug)) {
	header('Location: ' . getenv('URL'));
}

$item = $controllerGaleria->findBy(array('slug' => $slug, 'status' => 'ATIVO'));
if (!$item) {
	header('Location: ' . getenv('URL'));
}

$lista_imagens = $controllerImagens->selectImagens($item[0]->getId());

$slug = 'galerias';

?>

<div class="page-header py-3">
	<h1 class="page-title m-0 p-2 text-center text-uppercase font-weight-bold">Galerias</h1>
</div>

<div class="page-content py-5">
	<div class="container">
		<div class="row">
			<!-- Album -->
			<article class="col-lg-9">

				<time class="album-date mb-2 d-block text-muted"><?php echo utf8_encode(strftime('%d de %B de %Y', $item[0]->getData()->getTimestamp())); ?></time>
				<h1 class="album-title"><?php echo $item[0]->getTitulo(); ?></h1>
				<hr>
				<div class="album-text py-2">
					<?php echo $item[0]->getTexto(); ?>
				</div>
				<div class="row">
					<?php foreach ($lista_imagens as $image) {?>
					<div class="col-lg-2 mb-3">
  						<a href="storage/galeria/<?php echo $item[0]->getPasta() . '/' . $image->getNome(); ?>" title="" data-fancybox="gallery" data-caption="">
							<img src="storage/galeria/<?php echo $item[0]->getPasta() . '/mini/' . $image->getNome(); ?>" alt="" width='100%' class="shadow-sm p-1 bg-white rounded">
						</a>
  					</div>
  					<?php }?>
  				</div>
			</article>
			<?php require __DIR__ . '/sidebar-imprensa.php';?>
		</div>
	</div>
</div>

<?php require __DIR__ . '/footer.php';?>
<?php require __DIR__ . '/foot.php';?>




