<?php

include 'sistema/autoload.php';

$helper = new \Framework\Helper();

$controllerInstitucional = new ControllerInstitucional();
$controllerAbastecimento = new ControllerAbastecimento();
$controllerInformacao = new ControllerInformacao();
$controllerImprensa = new ControllerImprensa();
$controllerNascente = new ControllerNascente();
$controllerParticipe = new ControllerParticipe();
$controllerNoticia = new ControllerNoticia();
$controllerPublicacao = new ControllerPublicacao();
$controllerGaleria = new ControllerGaleria();
$controllerImagens = new ControllerGaleriaImagem($controllerGaleria);

$links_projeto = $controllerInstitucional->findBy(array('status' => 'ATIVO'));

$links_nascentes = $controllerInformacao->findBy(array('status' => 'ATIVO'));

$links_abastecimento = $controllerAbastecimento->findBy(array('status' => 'ATIVO'));

$links_imprensa = $controllerImprensa->findBy(array('status' => 'ATIVO'));

$controllerSistema = new ControllerSistema();
$obj = $controllerSistema->getByAttr();
$email_contato = $obj->getEmailContato();
$sistema_telefone = $obj->getTelefone();
$sistema_endereco = $obj->getEndereco();
$google_api = $obj->getGoogleApiMap();
$latitude_padrao = $sistema->getLatitude();
$longitude_padrao = $sistema->getLongitude();
?>

<!doctype html>
<html lang="pt-br">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <base href="/">
    <!-- -->
    <title>Água para o futuro</title>
    <meta name="description" content="" />
    <meta name="keywords" content="" />

    <!-- Open Graph -->
    <meta property="og:image" content="">
    <meta property="og:title" content="Água para o futuro">
    <meta property="og:description" content="">
    <meta property="og:url" content="">

	<link rel="icon" href="assets/img/favicon.ico" />

    <link rel="stylesheet" href="node_modules/bootstrap/dist/css/bootstrap.css">
    <link rel="stylesheet" href="node_modules/slick-carousel/slick/slick.css" />
    <link rel="stylesheet" href="node_modules/@fortawesome/fontawesome-free-webfonts/css/fontawesome.css" />
    <link rel="stylesheet" href="node_modules/@fortawesome/fontawesome-free-webfonts/css/fa-brands.css" />
    <link rel="stylesheet" href="node_modules/@fortawesome/fontawesome-free-webfonts/css/fa-solid.css" />
    <link rel="stylesheet" href="node_modules/@fortawesome/fontawesome-free-webfonts/css/fa-regular.css" />
    <link rel="stylesheet" href="node_modules/@fancyapps/fancybox/dist/jquery.fancybox.min.css" />
    <link rel="stylesheet" href="assets/css/main.css">

    <link href="https://fonts.googleapis.com/css?family=PT+Sans" rel="stylesheet">

	<script>
	  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
	  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
	  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
	  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

	  ga('create', '', 'auto');
	  ga('send', 'pageview');

	</script>

</head>
<body>


