<div id="loading">
    <div class="h-100 d-flex flex-column justify-content-center align-items-center">
        <img src="assets/img/logo-branca.jpg">
        <img src="assets/svg/preloader.svg">
    </div>
</div>

<div id="main">
    <!-- Header -->
    <header id="header">
        <!-- Menu -->
        <nav id="navbar" class="navbar navbar-expand-xl navbar-light px-lg-0 py-3 py-lg-0 bg-white">
            <div class="container d-flex align-items-center justify-content-between">
                <!-- Logo -->
                <a href="" title="Águas para o futuro" id="logo">
                    <h1 class="m-0" title="Águas para o futuro">
                        <img src="assets/img/logo.png" alt="Águas para o futuro logo" class="logo">
                    </h1>
                </a>
                <!-- Toggle navigation -->
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-collapse" aria-label="Alternar de navegação">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbar-collapse">
                    <ul class="navbar-nav justify-content-center w-100">
                        <li class="nav-item">
                            <a class="nav-link px-2 px-lg-3 py-2 py-lg-4" href="" title="Home">
                                Início
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link px-2 px-lg-3 py-2 py-lg-4 dropdown-toggle" href="#" title="O Projeto" data-toggle="dropdown">
                                O Projeto
                            </a>
                            <ul class="dropdown-menu m-0 text-center" aria-labelledby="navbarDropdown">
                                <?php foreach ($links_projeto as $key => $value) {?>
                                <li class="dropdown-item d-lg-inline-block w-auto text-white">
                                    <a class="py-2" href="institucional/<?php echo $value->getSlug(); ?>" title="<?php echo $value->getTitulo(); ?>"><?php echo $value->getTitulo(); ?></a>
                                </li>
                                <?php }?>
                                <li class="dropdown-item d-lg-inline-block w-auto text-white">
                                    <a class="py-2" href="participes" title="Participes">Participes</a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link px-2 px-lg-3 py-2 py-lg-4 dropdown-toggle" href="nascentes" title="Psicólogos" data-toggle="dropdown">
                                Nascentes
                            </a>
                            <ul class="dropdown-menu m-0 text-center" aria-labelledby="navbarDropdown">
                                <li class="dropdown-item d-lg-inline-block w-auto text-white">
                                    <a class="py-2" href="nascentes" title="Localização e características gerais">Localização e características gerais</a>
                                </li>
                                <?php foreach ($links_nascentes as $key => $value) {?>
                                <li class="dropdown-item d-lg-inline-block w-auto text-white">
                                    <a class="py-2" href="nascentes/<?php echo $value->getSlug(); ?>" title="<?php echo $value->getTitulo(); ?>"><?php echo $value->getTitulo(); ?></a>
                                </li>
                                 <?php }?>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link px-2 px-lg-3 py-2 py-lg-4 dropdown-toggle" href="abastecimento" title="Abastecimento" data-toggle="dropdown">
                                Abastecimento
                            </a>
                            <ul class="dropdown-menu m-0 text-center" aria-labelledby="navbarDropdown">
                                <?php foreach ($links_abastecimento as $key => $value) {?>
                                <li class="dropdown-item d-lg-inline-block w-auto text-white">
                                    <a class="py-2" href="abastecimento/<?php echo $value->getSlug(); ?>" title="<?php echo $value->getTitulo(); ?>"><?php echo $value->getTitulo(); ?></a>
                                </li>
                                 <?php }?>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link px-2 px-lg-3 py-2 py-lg-4 dropdown-toggle" href="publicacoes" title="Publicações" data-toggle="dropdown">
                                Imprensa
                            </a>
                            <ul class="dropdown-menu m-0 text-center" aria-labelledby="navbarDropdown">
                                <li class="dropdown-item d-lg-inline-block w-auto text-white">
                                    <a class="py-2" href="galerias" title="Galeria">Galerias</a>
                                </li>
                                <li class="dropdown-item d-lg-inline-block w-auto text-white">
                                    <a class="py-2" href="publicacoes" title="Publicações">Publicações</a>
                                </li>
                                <li class="dropdown-item d-lg-inline-block w-auto text-white">
                                    <a class="py-2" href="noticias" title="Notícias">Notícias</a>
                                </li>
                                <?php foreach ($links_imprensa as $key => $value) {?>
                                <li class="dropdown-item d-lg-inline-block w-auto text-white">
                                    <a class="py-2" href="imprensa/<?php echo $value->getSlug(); ?>" title="<?php echo $value->getTitulo(); ?>"><?php echo $value->getTitulo(); ?></a>
                                </li>
                                 <?php }?>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link px-2 px-lg-0 py-2 py-lg-4" href="contato" title="Contato">
                                Contato
                            </a>
                        </li>
                    </ul>
                </div>
                <!-- Estado -->
                <div class="estado mt-3 mt-lg-0 mx-auto d-flex align-items-center justify-content-end">
                    <img src="assets/img/mato-grosso.jpg" height="15" class="mr-2">
                    <span>Mato Grosso</span>
                </div>
            </div>
        </nav>
    </header>
