<?php
require __DIR__ . '/head.php';
require __DIR__ . '/header.php';

extract($_GET, EXTR_SKIP);

if (!isset($slug) && empty($slug)) {
	header('Location: ' . getenv('URL'));
}

$item = $controllerNoticia->findBy(array('slug' => $slug, 'status' => 'ATIVO'));
if (!$item) {
	header('Location: ' . getenv('URL'));
}

$slug = 'noticias';

$imagem = null;
if (is_file(__DIR__ . '/storage/noticia/' . $item[0]->getImagem())) {
	$imagem = getenv('URL') . 'storage/noticia/' . $item[0]->getImagem();
} elseif (is_file(__DIR__ . '/storage/' . $item[0]->getImagem())) {
	$imagem = getenv('URL') . 'storage/' . $item[0]->getImagem();
}
?>

<div class="page-header py-3">
	<h1 class="page-title m-0 p-2 text-center text-uppercase font-weight-bold">Notícias</h1>
</div>

<div class="page-content py-5">
	<div class="container">
		<div class="row">
			<!-- News -->
			<article class="col-lg-9">
				<time class="news-date mb-2 d-block text-muted"><?php echo utf8_encode(strftime('%d de %B de %Y', $item[0]->getData()->getTimestamp())); ?></time>
				<h1 class="news-title"><?php echo $item[0]->getTitulo(); ?></h1>
				<hr>
				 <?php if ($imagem): ?>
				<figure class="news-image float-left mr-3 mb-3 w-25">
					<img src="<?php echo $imagem; ?>" alt="">
				</figure>
				<?php endif;?>
				<div class="news-text text-justify">
					<?php echo $item[0]->getTexto(); ?>
				</div>
				<span class="news-author"><?php echo $item[0]->getFonte() ? 'Por: ' . $item[0]->getFonte() : ''; ?></span>
			</article>
			<?php require __DIR__ . '/sidebar-imprensa.php';?>
		</div>
	</div>
</div>

<?php require __DIR__ . '/footer.php';?>
<?php require __DIR__ . '/foot.php';?>



