<?php
require __DIR__ . '/head.php';
require __DIR__ . '/header.php';

$lista = $controllerParticipe->findBy(array('status' => 'ATIVO'), array('ordem' => 'DESC'));

$slug = 'participes';
?>

<div class="page-header py-3">
	<h1 class="page-title m-0 p-2 text-center text-uppercase font-weight-bold">PARTÍCIPES</h1>
</div>

<div class="page-content py-5">
	<div class="container">
		<div class="row">
			<div class="col-lg albums">
                <div class="row justify-content-end">
                    <div class="col-lg-auto">
                        <div class="input-group shadow-sm">
                            <input type="text" class="form-control" placeholder="Buscar em galerias">
                            <div class="input-group-append">
                                <button type="submit" class="btn bg-blue">
                                    <i class="fas fa-search text-white"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <hr>
				<div class="row">
					<?php foreach ($lista as $key => $value): ?>
					<div class="col-md-6 col-lg-4 mb-5">
						<a href="#" title="" class="album d-block bg-white shadow-sm" style="height: 200px; display: flex !important;justify-content: center;flex-direction: column;align-items: center;">
                            <img src="storage/participes/<?php echo $value->getlogo(); ?>" style="max-width: 90%; max-height: 90%;" alt="" class="album-image mb-1">
						</a>
					</div>
					<?php endforeach;?>
				</div>
			</div>
			<?php require __DIR__ . '/sidebar-imprensa.php';?>
		</div>
	</div>
</div>

<?php require __DIR__ . '/footer.php';?>
<?php require __DIR__ . '/foot.php';?>




