<!-- -->
<aside class="col-lg-3 pt-4 pt-lg-0">
    <!-- -->
    <div class="mb-3 text-center">
        <div class="addthis_inline_share_toolbox"></div>
    </div>
    <!-- -->
    <div class="widget widget-nav mb-4 bg-white shadow-sm p-3 rounded">
        <h5 class="widget-title mb-3 font-weight-bold text-blue">O Projeto</h5>
        <nav class="nav nav-pills flex-column">
            <?php foreach ($links_projeto as $key => $value) {?>
            <a class="nav-link mb-2 <?php echo $slug == $value->getSlug() ? 'active' : ''; ?> " href="institucional/<?php echo $value->getSlug(); ?>" title="<?php echo $value->getTitulo(); ?>"><?php echo $value->getTitulo(); ?></a>
            <?php }?>

            <a class="nav-link mb-2" href="participes" title="Partícipes">Partícipes</a>
        </nav>
    </div>
    <!-- -->
    <div class="widget mb-4 bg-white shadow-sm p-3 rounded">
        <h5 class="widget-title mb-3 font-weight-bold text-blue">Baixe nosso aplicativo</h5>
        <div class="d-flex justify-content-center">
            <a href="https://play.google.com/store/apps/details?id=br.com.aguaparaofuturo" title="Google Play" target="_blank" class="mr-3">
                <img src="assets/img/download-google.png" alt="Google Play">
            </a>
            <a href="https://itunes.apple.com/br/app/%C3%A1gua-para-o-futuro/id1208524771?mt=8" title="Apple Store" target="_blank">
                <img src="assets/img/download-apple.png" alt="Apple Store">
            </a>
        </div>
    </div>
    <!-- -->
    <div class="widget mb-4 bg-white shadow-sm p-3 rounded">
        <h5 class="widget-title mb-3 font-weight-bold text-blue">Entre em contato</h5>
        <div class="contact">
            <address>
                <p class="mb-1"><?php echo $sistema_endereco; ?></p>
            </address>
        </div>
        <div class="contact text-green">
            <a href="" title="" class="d-flex align-items-center" style="font-size: 15px">
                <i class="fas fa-envelope mr-2"></i>
                <b><?php echo $email_contato; ?></b>
            </a>
        </div>
        <div class="contact text-green">
            <a href="" title="" class="d-flex align-items-center" style="font-size: 15px">
                <i class="fas fa-phone mr-2"></i>
                <b><?php echo $sistema_telefone; ?></b>
            </a>
        </div>
    </div>
</aside>
