<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-26 14:37:14
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-17 15:28:30
 */
ob_start();
require_once 'autoload.php';

$vld = new \Framework\Validation();
$tpl = new \Framework\Template();
$controllerUsuario = new ControllerUsuario();

$tpl->assign('URL_SISTEMA', getenv('URL_SISTEMA'));

if ($vld->send('login')) {

	try {
		$vld->validate();
		$controllerUsuario->login($_POST['user'], $_POST['password']);

		header('Location:panel.php');
		exit;

	} catch (Exception $e) {
		$tpl->error('login', $e->getMessage());
	}
}

$tpl->show();
