<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-21 16:31:40
 */

ob_start();

require 'config.php';

$id = isset($_GET['id']) ? (int) $_GET['id'] : (int) $_POST['id'];

$obj = $controllerMonitoramento->getById($id);

$tpl->assign('ID', $obj->getId());
$tpl->assign('DATA', $obj->getDataCadastro()->format('d/m/Y H:i'));
$tpl->assign('ASSUNTO', $obj->getAssunto()->getTitulo());

$tpl->assign('ANONIMO', $obj->getAnonimo() == 'SIM' ? 'Sim' : 'Não');
$tpl->assign('USUARIO_NOME', $obj->getAnonimo() == 'NAO' ? $obj->getUsuario()->getNome() : '');
$tpl->assign('USUARIO_EMAIL', $obj->getAnonimo() == 'NAO' ? $obj->getUsuario()->getEmail() : '');
$tpl->assign('USUARIO_TELEFONE', $obj->getAnonimo() == 'NAO' ? $obj->getUsuario()->getTelefone() : '');

$tpl->assign('ENDERECO_CEP', $obj->getLocalizacao()->getCep());
$tpl->assign('ENDERECO_LOGRADOURO', $obj->getLocalizacao()->getLogradouro());
$tpl->assign('ENDERECO_NUMERO', $obj->getLocalizacao()->getNumero());
$tpl->assign('ENDERECO_BAIRRO', $obj->getLocalizacao()->getBairro());
$tpl->assign('ENDERECO_CIDADE', $obj->getLocalizacao()->getCidade() ? $obj->getLocalizacao()->getCidade()->getNome() : '');
$tpl->assign('ENDERECO_ESTADO', $obj->getLocalizacao()->getCidade() ? $obj->getLocalizacao()->getCidade()->getEstado() : '');

$tpl->assign('IMAGEM', !empty($obj->getImagem()) ? '<img src="data:image/jpeg;base64,' . $obj->getImagem() . '" >' : '');

$tpl->assign('MENSAGEM', $obj->getMensagem());

$tpl->assign('LOCALIZACAO_TIPO', $obj->getLocalizacao()->getTipo());
$tpl->assign('LATITUDE', $obj->getLocalizacao()->getLatitude());
$tpl->assign('LONGITUDE', $obj->getLocalizacao()->getLongitude());

$tpl->show();
