<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-03-12 16:47:35
 */

ob_start();

require_once 'config.php';

if (isset($_POST['action'])) {
	$tpl->message('action',
		($controllerMonitoramento->changeStatus((int) $_POST['id'], $_POST['action'])));
}

$lista = $controllerMonitoramento->findBy(array(), array('id' => 'DESC'));

foreach ($lista as $key => $line) {
	$tpl->ID = $line->getId();
	$tpl->DATA = $line->getDataCadastro()->format('d/m/Y H:i');
	$tpl->ASSUNTO = $line->getAssunto()->getTitulo();
	$tpl->MUNICIPIO = $line->getLocalizacao()->getCidade() ? $line->getLocalizacao()->getCidade()->getNome() : '';
	$tpl->ANONIMO = $line->getAnonimo() == 'SIM' ? 'Sim' : 'Não';

	$tpl->IMAGEM = !empty($line->getImagem()) ? '<img src="data:image/jpeg;base64,' . $line->getImagem() . '" >' : '';

	$tpl->NOME = $line->getAnonimo() == 'NAO' ? $line->getUsuario()->getNome() : '';
	$tpl->EMAIL = $line->getAnonimo() == 'NAO' ? $line->getUsuario()->getEmail() : '';
	$tpl->TELEFONE = $line->getAnonimo() == 'NAO' ? $line->getUsuario()->getTelefone() : '';

	$tpl->block('list');
}

$tpl->show();
