<?php

class ControllerIcone extends \Framework\Banco {

	public function __construct() {
		parent::__construct('Icone');
	}

	public function insert($post) {

		try {
			$obj = new Icone();
			$obj->setStatus($post['status']);
			$obj->setNome($post['nome']);
			$obj->setCor($post['cor']);

			$obj = parent::persist($obj);

			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function update($post, $obj) {

		try {

			$obj->setStatus($post['status']);
			$obj->setNome($post['nome']);
			$obj->setCor($post['cor']);

			parent::merge($obj);

			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

}
