<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-26 08:08:37
 */

ob_start();

require_once 'config.php';

if (isset($_POST['action'])) {
	$tpl->message('action',
		($controllerNascente->changeStatus((int) $_POST['id'], $_POST['action'])));
}

$lista = $controllerNascente->findBy(array('status' => ['CIDADE_SEM_CONVENIO']), array('id' => 'DESC'));
$status = $controllerNascente->getStatus();
foreach ($lista as $key => $line) {
	$tpl->ID = $line->getId();
	$tpl->TITULO = $line->getTitulo();
	$tpl->DATA = $line->getDataCadastro()->format('d/m/Y H:i');
	$tpl->STATUS = $status[$line->getStatus()];
	$tpl->ORIGEM = $line->getOrigem() == 'SISTEMA' ? 'Sistema' : 'Usuário';

	$tpl->ACTION = $line->getStatus() == 'ATIVO' ? 'INATIVO' : 'ATIVO';
	$tpl->ACTION_LABEL = $line->getStatus() == 'ATIVO' ? 'Desativar' : 'Ativar';

	$tpl->block('list');

}

$tpl->show();
