<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-12 11:39:30
 */

ob_start();

require 'config.php';

$id = isset($_GET['id']) ? (int) $_GET['id'] : (int) $_POST['id'];

$obj = $controller->getById($id);

$form_fields = array('titulo', 'texto', 'fonte', 'data', 'chapeu');

if ($vld->send('_edit')) {
    try {
        $vld->validate();

        $controller->update($_POST, $_FILES, $obj);

        $vld->clear();

        $tpl->message('form_edit', 'Cadastro atualizado');

    } catch (Exception $e) {
        $tpl->error('form_edit', $e->getMessage());
    }
}

$tpl->assign('ID', $id);
$tpl->assign('TITULO', $obj->getTitulo());
$tpl->assign('TEXTO', $obj->getTexto());
$tpl->assign('FONTE', $obj->getFonte());
$tpl->assign('CHAPEU', $obj->getChapeu());
$data = $obj->getData();
$tpl->assign('DATA', !empty($data) ? $obj->getData()->format('d/m/Y') : '');
$imagem = $obj->getImagem();
$tpl->assign('IMAGEM', '<img src="http://placehold.it/200x150" alt="...">');
if (!empty($imagem)) {

    $imagem = is_file($dir_upload . 'mini/' . $obj->getImagem())
    ? '<img src="' . STORAGE_DIR . 'mini/' . $obj->getImagem() . '" width="100">'
    : '<img src="' . $obj->getImagem() . '" width="100">';
    $tpl->assign('IMAGEM', $imagem);
}

$tpl->radio('status', array('ATIVO' => 'Ativo', 'INATIVO' => 'Inativo'), $obj->getStatus());
$tpl->show();
