<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-15 09:39:01
 */

ob_start();

require 'config.php';

$id = isset($_GET['id']) ? (int) $_GET['id'] : (int) $_POST['id'];

$obj = $controllerParticipe->getById($id);

$form_fields = array('nome', 'logo', 'status');

if ($vld->send('_edit')) {
	try {
		$vld->validate();

		$controllerParticipe->update($_POST, $_FILES, $obj);

		$vld->clear();

		$tpl->message('form_edit', 'Cadastro atualizado');

	} catch (Exception $e) {
		$tpl->error('form_edit', $e->getMessage());
	}
}

$tpl->assign('ID', $obj->getId());
$tpl->assign('NOME', $obj->getNome());
$tpl->assign('ORDEM', $obj->getOrdem());

$imagem = $obj->getLogo();
$tpl->assign('IMAGEM', '<img src="' . STORAGE_DIR . 'sistema/assets/images/attach-1.png" alt="...">');
if (!empty($imagem)) {

	$imagem = is_file($dir_upload . $obj->getLogo())
	? '<img src="' . STORAGE_DIR . $obj->getLogo() . '" width="200">'
	: '<img src="' . STORAGE_DIR . 'sistema/assets/images/attach-1.png" alt="...">';
	$tpl->assign('IMAGEM', $imagem);
}

$tpl->radio('status', array('ATIVO' => 'Ativo', 'INATIVO' => 'Inativo'), $obj->getStatus());

$tpl->show();
