<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:12
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-16 11:24:47
 */

class ControllerSistema extends \Framework\Banco {

	public function __construct() {
		parent::__construct('Sistema');
	}

	public function update($value) {
		try {

			$obj = $this->getByAttr();

			if (empty($obj)) {
				$obj = new Sistema;
			}

			$obj->setNome($value['nome']);
			$obj->setUrlSistema("http://{$_SERVER['HTTP_HOST']}/");
			$obj->setUrlSite($value['url_site']);
			$obj->setSmtpHost($value['smtp_host']);
			$obj->setSmtpUsuario($value['smtp_usuario']);
			$obj->setSmtpSenha($value['smtp_senha']);
			$obj->setSmtpPorta($value['smtp_porta']);
			$obj->setSmtpSeguranca($value['smtp_seguranca']);

			$obj->setEmailSender($value['email_sender']);
			$obj->setEmailContato($value['email_contato']);

			$obj->setEmailOuvidoria($value['email_ouvidoria']);
			$obj->setTelefone($value['telefone']);
			$obj->setEndereco($value['endereco']);

			$obj->setGoogleApiMap($value['google_api_map']);
			$obj->setLatitude($value['latitude']);
			$obj->setLongitude($value['longitude']);

			parent::merge($obj);
			return $obj;

		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}

	}
}
