<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-12 20:07:33
 */

ob_start();

require_once 'config.php';

$form_fields = array('nome');

$vld->initializeToArray(array('operation'));
$vld->initializeAll($form_fields);

if ($vld->send('perfil_add')) {

    $perfilController->insert($_POST);

    $vld->clear();

    $tpl->message('form_', 'Perfil Cadastrado');
}

$modulos_instalados = $controllerModulo->getModulos();

$module = new \Framework\Module('../../modules/');
$modules = $module->scanModules();

foreach ($modules as $key => $mod) {

    if (

        (in_array($mod['name'], $modulos_instalados))
    ) {

        $id = array_search($key, $modulos_instalados);
        $tpl->CHECKED = '';
        $tpl->VALUE = $id;
        $tpl->LABEL = $mod['label'];
        $tpl->block('modulos');
    }
}

$tpl->assignFormVars($form_fields);

$tpl->show();
