<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-09 22:19:22
 */

ob_start();

require_once 'config.php';

$id = isset($_GET['id']) ? (int) $_GET['id'] : (int) $_POST['id'];

$obj = $perfilController->getById($id);

$vld->initializeAll(array('nome', 'email'));

if ($vld->send('perfil_edit')) {
    try {
        $vld->validate();

        $perfilController->update($_POST, $obj);

        $vld->clear();

        $tpl->message('form_edit', 'Cadastro atualizado');

    } catch (Exception $e) {

        $tpl->error('form_edit', $e->getMessage());

    }
}

$tpl->assign('ID', $id);
$tpl->assign('NOME', $obj->getNome());

$modulos = array();
foreach ($obj->getModulos() as $key => $value) {
    $modulos[] = $value->getId();
}

$modulos_instalados = $controllerModulo->getModulos();

$module = new \Framework\Module('../../modules/');
$modules = $module->scanModules();

foreach ($modules as $key => $mod) {

    if (

        (in_array($mod['name'], $modulos_instalados))
    ) {
        $id = array_search($key, $modulos_instalados);
        $tpl->CHECKED = in_array($id, $modulos) ? ' checked="checked"' : null;
        $tpl->VALUE = $id;
        $tpl->LABEL = $mod['label'];
        $tpl->block('modulos');
    }
}

$tpl->show();
