<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-02-27 10:55:26
 */

ob_start();

require_once 'config.php';

if (isset($_POST['action'])) {

    $tpl->message('action', $perfilController->changeStatus(
        (int) $_POST['id'],
        $_POST['action']));
}

$lista = $perfilController->selectAllbyStatus();

foreach ($lista as $key => $line) {
    $tpl->ID = $line->getId();
    $tpl->NOME = ($line->getNome());
    $tpl->SLUG = $line->getSlug();

    $modulos = array();
    foreach ($line->getModulos() as $key => $value) {
        $modulos[] = $value->getNome();
    }

    $tpl->MODULOS = implode(', ', $modulos);

    $tpl->ACTION = $line->getStatus() == 'ATIVO' ? 'INATIVO' : 'ATIVO';
    $tpl->ACTION_LABEL = $line->getStatus() == 'ATIVO' ? 'Desativar' : 'Ativar';
    $tpl->block('list');
}

$tpl->show();
