<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-01 10:07:23
 */

ob_start();

require_once 'config.php';

$id_user = $session->get('user_id');

$vld->initializeAll(array('senha_atual', 'senha', 'repita_senha'));

if ($vld->send('user_change_password')) {
    try {
        $vld->validate();

        if (!$userController->rowCountPass($_POST['senha_atual'], $id_user)) {
            $tpl->error('form_edit', 'Senha atual não confere');
        } else {

            $userController->changePassword($_POST, $id_user);

            $vld->clear();

            $tpl->message('form_edit', 'Senha alterada');

        }

    } catch (Exception $e) {

        $tpl->error('form_edit', $e->getMessage());

    }
}

$tpl->show();
