<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-07-10 20:39:30
 */

ob_start();

require_once 'config.php';

if (isset($_POST['action'])) {
	$tpl->message('action',
		($controllerUsuarioApp->changeStatus((int) $_POST['id'], $_POST['action'])));
}

$lista = $controllerUsuarioApp->findBy(array(), array('id' => 'DESC'));

foreach ($lista as $key => $line) {
	$endereco = [];

	try {
		
		if( $line->getLocalizacao() ){

		$endereco = [
			$line->getLocalizacao()->getLogradouro(),
			$line->getLocalizacao()->getNumero(),
			$line->getLocalizacao()->getBairro(),
			$line->getLocalizacao()->getCidade() ? $line->getLocalizacao()->getCidade()->getNome() : null,
			$line->getLocalizacao()->getCidade() ? $line->getLocalizacao()->getCidade()->getEstado() : null,
			$line->getLocalizacao()->getCep()];
		}


		$tpl->ID = $line->getId();
		$tpl->NOME = ($line->getNome());
		$tpl->EMAIL = $line->getEmail();
		$tpl->TELEFONE = $line->getTelefone();
		$tpl->ENDERECO = empty($endereco) ? implode(', ', $endereco) : '';
		$tpl->DATA = $line->getDataCadastro()->format('d/m/Y H:i');
		$tpl->block('list');
	} catch (Exception $e) {
		
	}

}

$tpl->show();
